Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1803964

Summary: mpich: INTERNAL ERROR: invalid error code fffffffe (Ring Index out of range) in MPID_nem_tcp_init:373
Product: [Fedora] Fedora Reporter: Christoph Junghans <junghans>
Component: mpichAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: anto.trande, dakingun, loganjerry, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mpich-3.3.2-4.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-15 14:22:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Christoph Junghans 2020-02-17 20:22:13 UTC
Description of problem:

This problem of
INTERNAL ERROR: invalid error code fffffffe (Ring Index out of range) in MPID_nem_tcp_init:373
showed up in bug#1793563 and bug#1799473#c7 and has been confirmed upstream inhttps://github.com/pmodels/mpich/issues/4318. A fix has been made in https://github.com/pmodels/mpich/pull/4320 and was proposed to be added to the Fedora package in https://src.fedoraproject.org/rpms/mpich/pull-request/2.

Comment 1 Jerry James 2020-02-21 03:19:21 UTC
This is also preventing coin-or-Ipopt from building.

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-09-15 14:22:18 UTC
This was fixed a while ago.